Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItem.cs	(revision 17519)
@@ -11,23 +11,48 @@
   [JsonObject]
   public interface IJsonItem : IEnumerable<IJsonItem> {
+    /// <summary>
+    /// Only active items are included in templates.
+    /// </summary>
     bool Active { get; set; }
+
+    /// <summary>
+    /// The name of the JsonItem. Can be changed freely after fixating the path. 
+    /// If the path is not fix, changing the name will have affect of the path.
+    /// </summary>
     string Name { get; set; }
 
+    /// <summary>
+    /// A description for the JsonItem.
+    /// </summary>
     string Description { get; set; }
 
-    string Path {
-      get;
-    }
+    /// <summary>
+    /// The JsonItem path in the related object graph.
+    /// </summary>
+    string Path { get; }
 
+    /// <summary>
+    /// IEnumerable of all sub JsonItems.
+    /// </summary>
     [JsonIgnore]
-    IList<IJsonItem> Children { get; } //TODO: IEnumerable
+    IEnumerable<IJsonItem> Children { get; }
 
+    /// <summary>
+    /// If the JsonItem is a children of an other JsonItem, the parent will be this other JsonItem.
+    /// </summary>
     [JsonIgnore]
     IJsonItem Parent { get; set; }
-        
+
+    /// <summary>
+    /// Returns a validator with integrated caching to validate the JsonItem and all children.
+    /// </summary>
+    /// <returns>JsonItemValidator</returns>    
     IJsonItemValidator GetValidator();
 
+    /// <summary>
+    /// Add sub JsonItems.
+    /// </summary>
+    /// <param name="childs"></param>
     void AddChildren(params IJsonItem[] childs);
-
     void AddChildren(IEnumerable<IJsonItem> childs);
 
@@ -44,5 +69,14 @@
     void LoosenPath();
 
+    /// <summary>
+    /// Method to generate a Newtonsoft JObject, which describes the JsonItem.
+    /// </summary>
+    /// <returns>Newtonsoft JObject</returns>
     JObject GenerateJObject();
+
+    /// <summary>
+    /// To set all necessary JsonItem properties with an given Newtonsoft JObject.
+    /// </summary>
+    /// <param name="jObject">Newtonsoft JObject</param>
     void SetJObject(JObject jObject);
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemConverter.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemConverter.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemConverter.cs	(revision 17519)
@@ -1,9 +1,4 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using HeuristicLab.Core;
-using Newtonsoft.Json.Linq;
 
 namespace HeuristicLab.JsonInterface {
@@ -25,5 +20,12 @@
     IJsonItem Extract(IItem value, IJsonItemConverter root);
 
+    /// <summary>
+    /// The targeted type for the converter.
+    /// </summary>
     Type ConvertableType { get; }
+
+    /// <summary>
+    /// A given priority, higher numbers are prior.
+    /// </summary>
     int Priority { get; }
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemValidator.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemValidator.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IJsonItemValidator.cs	(revision 17519)
@@ -1,10 +1,12 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public interface IJsonItemValidator {
+    /// <summary>
+    /// Validate method to validate a JsonItem.
+    /// </summary>
+    /// <returns>
+    /// The result of the validation process, 
+    /// contains a sucess flag and a list of errors 
+    /// (if validation failed).
+    /// </returns>
     ValidationResult Validate();
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/ILookupJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/ILookupJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/ILookupJsonItem.cs	(revision 17519)
@@ -1,10 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public interface ILookupJsonItem : IJsonItem {
+    /// <summary>
+    /// The actual name for lookup items.
+    /// </summary>
     string ActualName { get; set; }
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IMatrixJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IMatrixJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IMatrixJsonItem.cs	(revision 17519)
@@ -1,13 +1,21 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
+﻿using System.Collections.Generic;
 
 namespace HeuristicLab.JsonInterface {
   public interface IMatrixJsonItem : IValueJsonItem {
+    /// <summary>
+    /// Flag to define resizable rows. 
+    /// </summary>
     bool RowsResizable { get; set; }
+    /// <summary>
+    /// Flag to define resizable columns.
+    /// </summary>
     bool ColumnsResizable { get; set; }
+    /// <summary>
+    /// IEnumerable of row names.
+    /// </summary>
     IEnumerable<string> RowNames { get; set; }
+    /// <summary>
+    /// IEnumerable of column names.
+    /// </summary>
     IEnumerable<string> ColumnNames { get; set; }
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IRangedJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IRangedJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IRangedJsonItem.cs	(revision 17519)
@@ -1,7 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 
 namespace HeuristicLab.JsonInterface {
@@ -9,5 +5,11 @@
     where T : IComparable 
   {
+    /// <summary>
+    /// The lower bound of an ranged item. 
+    /// </summary>
     T MinValue { get; set; }
+    /// <summary>
+    /// The upper bound of an ranged item.
+    /// </summary>
     T MaxValue { get; set; }
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IResultJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IResultJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IResultJsonItem.cs	(revision 17519)
@@ -1,10 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
-  public interface IResultJsonItem : IJsonItem {
-  }
+﻿namespace HeuristicLab.JsonInterface {
+  /// <summary>
+  /// Empty JsonItem, which indicates a result. For example 'BestQuality'.
+  /// Types of this JsonItems are stored in the result section of the template.
+  /// </summary>
+  public interface IResultJsonItem : IJsonItem { }
 }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueJsonItem.cs	(revision 17519)
@@ -1,10 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public interface IValueJsonItem : IJsonItem {
+    /// <summary>
+    /// Represent the value of an IItem.
+    /// </summary>
     object Value { get; set; }
   }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueLookupJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueLookupJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Interfaces/IValueLookupJsonItem.cs	(revision 17519)
@@ -1,11 +1,9 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json;
+﻿using Newtonsoft.Json;
 
 namespace HeuristicLab.JsonInterface {
   public interface IValueLookupJsonItem : ILookupJsonItem {
+    /// <summary>
+    /// The IJsonItem representation of the actual value of an IValueLookupItem.
+    /// </summary>
     [JsonIgnore]
     IJsonItem ActualValue { get; set; }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JCGenerator.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JCGenerator.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JCGenerator.cs	(revision 17519)
@@ -1,10 +1,4 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
+﻿using System.Collections.Generic;
 using HeuristicLab.Optimization;
-using Newtonsoft.Json;
 using Newtonsoft.Json.Linq;
 using HEAL.Attic;
@@ -37,5 +31,5 @@
       #region Serialize HL File
       ProtoBufSerializer serializer = new ProtoBufSerializer();
-      string hlFilePath = fullPath + @"\" + templateName + ".hl";
+      string hlFilePath = fullPath + templateName + ".hl";
       serializer.Serialize(optimizer, hlFilePath);
       #endregion
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverter.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverter.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverter.cs	(revision 17519)
@@ -2,12 +2,5 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.PluginInfrastructure;
-using HEAL.Attic;
-using System.Collections;
-
 namespace HeuristicLab.JsonInterface {
   /// <summary>
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverterFactory.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverterFactory.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonItemConverterFactory.cs	(revision 17519)
@@ -1,7 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using HeuristicLab.PluginInfrastructure;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonTemplateInstantiator.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonTemplateInstantiator.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/JsonTemplateInstantiator.cs	(revision 17519)
@@ -1,13 +1,6 @@
-﻿using System;
-using System.Collections;
-using System.Collections.Generic;
+﻿using System.Collections.Generic;
 using System.IO;
 using System.Linq;
-using System.Reflection;
-using System.Text;
-using System.Threading.Tasks;
 using HEAL.Attic;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Optimization;
 using Newtonsoft.Json.Linq;
@@ -79,5 +72,4 @@
     }
 
-    
     private IEnumerable<IResultJsonItem> CollectResults() {
       IList<IResultJsonItem> res = new List<IResultJsonItem>();
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ArrayJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ArrayJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ArrayJsonItem.cs	(revision 17519)
@@ -1,8 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json.Linq;
+﻿using Newtonsoft.Json.Linq;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/BoolJsonItems.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/BoolJsonItems.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/BoolJsonItems.cs	(revision 17519)
@@ -1,9 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public class BoolJsonItem : ValueJsonItem<bool> {
     protected override ValidationResult Validate() => ValidationResult.Successful();
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedArrayJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedArrayJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedArrayJsonItem.cs	(revision 17519)
@@ -1,8 +1,4 @@
-﻿using System;
-using System.Collections.Generic;
+﻿using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
 namespace HeuristicLab.JsonInterface {
   public abstract class ConcreteRestrictedArrayJsonItem<T> : ArrayJsonItem<T>, IConcreteRestrictedJsonItem<T> {
@@ -12,4 +8,5 @@
       bool res = true;
       IList<string> errors = new List<string>();
+      if (ConcreteRestrictedItems == null) return ValidationResult.Successful();
       foreach(var x in Value) {
         bool tmp = false;
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedValueJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedValueJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ConcreteRestrictedValueJsonItem.cs	(revision 17519)
@@ -1,7 +1,4 @@
-﻿using System;
-using System.Collections.Generic;
+﻿using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DateTimeJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DateTimeJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DateTimeJsonItem.cs	(revision 17519)
@@ -1,7 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DoubleJsonItems.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DoubleJsonItems.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/DoubleJsonItems.cs	(revision 17519)
@@ -1,8 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json.Linq;
+﻿using Newtonsoft.Json.Linq;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/EmptyJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/EmptyJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/EmptyJsonItem.cs	(revision 17519)
@@ -1,9 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public class EmptyJsonItem : JsonItem {
     protected override ValidationResult Validate() => ValidationResult.Successful();
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntJsonItems.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntJsonItems.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntJsonItems.cs	(revision 17519)
@@ -1,8 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json.Linq;
+﻿using Newtonsoft.Json.Linq;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedArrayJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedArrayJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedArrayJsonItem.cs	(revision 17519)
@@ -1,7 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedMatrixJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedMatrixJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedMatrixJsonItem.cs	(revision 17519)
@@ -1,7 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedValueJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedValueJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/IntervalRestrictedValueJsonItem.cs	(revision 17519)
@@ -1,7 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/JsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/JsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/JsonItem.cs	(revision 17519)
@@ -1,4 +1,3 @@
-﻿using System;
-using System.Collections;
+﻿using System.Collections;
 using System.Collections.Generic;
 using System.Linq;
@@ -76,9 +75,8 @@
       }
     }
-        
+
     // TODO jsonIgnore dataType?
-
     [JsonIgnore]
-    public virtual IList<IJsonItem> Children { get; protected set; }
+    public virtual IEnumerable<IJsonItem> Children { get; protected set; }
 
     [JsonIgnore]
@@ -104,7 +102,9 @@
       if (Children == null)
         Children = new List<IJsonItem>();
-      foreach (var child in childs) {
-        Children.Add(child);
-        child.Parent = this;
+      if(Children is IList<IJsonItem> list) {
+        foreach (var child in childs) {
+          list.Add(child);
+          child.Parent = this;
+        }
       }
     }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/LookupJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/LookupJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/LookupJsonItem.cs	(revision 17519)
@@ -1,8 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json.Linq;
+﻿using Newtonsoft.Json.Linq;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/MatrixJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/MatrixJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/MatrixJsonItem.cs	(revision 17519)
@@ -1,7 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
+﻿using System.Collections.Generic;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/RangedJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/RangedJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/RangedJsonItem.cs	(revision 17519)
@@ -1,7 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 
 namespace HeuristicLab.JsonInterface {
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ResultJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ResultJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ResultJsonItem.cs	(revision 17519)
@@ -1,9 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public class ResultJsonItem : JsonItem, IResultJsonItem {
     protected override ValidationResult Validate() => ValidationResult.Successful();
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/StringJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/StringJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/StringJsonItem.cs	(revision 17519)
@@ -1,9 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.JsonInterface {
+﻿namespace HeuristicLab.JsonInterface {
   public class StringJsonItem : ConcreteRestrictedValueJsonItem<string> { }
   public class StringArrayJsonItem : ConcreteRestrictedArrayJsonItem<string> { }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/UnsupportedJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/UnsupportedJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/UnsupportedJsonItem.cs	(revision 17519)
@@ -1,7 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json;
 
@@ -23,5 +20,5 @@
 
     [JsonIgnore]
-    public override IList<IJsonItem> Children {
+    public override IEnumerable<IJsonItem> Children {
       get => throw new NotSupportedException();
       protected set => throw new NotSupportedException();
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueJsonItem.cs	(revision 17519)
@@ -1,7 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueLookupJsonItem.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueLookupJsonItem.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface/Models/ValueLookupJsonItem.cs	(revision 17519)
@@ -1,8 +1,3 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using Newtonsoft.Json;
+﻿using System.Collections.Generic;
 using Newtonsoft.Json.Linq;
 
Index: /branches/3026_IntegrationIntoSymSpace/Heuristiclab.ConfigStarter/Program.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/Heuristiclab.ConfigStarter/Program.cs	(revision 17518)
+++ /branches/3026_IntegrationIntoSymSpace/Heuristiclab.ConfigStarter/Program.cs	(revision 17519)
@@ -30,5 +30,5 @@
       HEAL.Attic.Mapper.StaticCache.UpdateRegisteredTypes();
 
-
+      
       HeuristicLabJsonInterfaceAppApplication app = new HeuristicLabJsonInterfaceAppApplication();
 
@@ -47,11 +47,13 @@
       ActivateJsonItems(root);
 
-      JCGenerator.GenerateTemplate(@"C:\Workspace", "Template", alg, root);
       
+      JCGenerator.GenerateTemplate(@"C:\Workspace\ConfigStarter\", "Template", alg, root);
+      
+
       List<ICommandLineArgument> arguments = new List<ICommandLineArgument>();
       arguments.Add(new StartArgument("JsonInterface"));
-      arguments.Add(new OpenArgument(@"C:\Workspace\Template.json"));
-      arguments.Add(new OpenArgument(@"C:\Workspace\Config.json"));
-      arguments.Add(new StringArgument(@"C:\Workspace\Output.json"));
+      arguments.Add(new OpenArgument(@"C:\Workspace\ConfigStarter\Template.json"));
+      arguments.Add(new OpenArgument(@"C:\Workspace\ConfigStarter\Config.json"));
+      arguments.Add(new StringArgument(@"C:\Workspace\ConfigStarter\Output.json"));
 
       app.Run(arguments.ToArray());
@@ -65,4 +67,12 @@
           i.Active = true;
         }
+        /*
+        if(x.Name == "Dataset" && x is DoubleMatrixJsonItem mat) {
+          mat.Value = new double[5][];
+          mat.RowNames = new string[] { "R1", "R2", "R3" };
+          for(int j = 0; j < 5; ++j) {
+            mat.Value[j] = new double[10];
+          }
+        }*/
       }
     }
